<?php

/*
=====================================================================

  프로젝트 이름 : 피리 제품 가공 견적기 B, 복수 질문 G5

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작성날짜 : 2015년 11월 25일 수요일 오후 19시 06분 - 날씨 흐리고 살짝 쌀쌀함

  그누보드5.4용 : 2020년 08월 11일 화요일 오전 12시 10분 - 날씨 흐리고 비, 25, 25, 28, 24 / 최고 좋음, 5, 3

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 피리 기본 관리 > 라이브러리 > 피리 CONFIG 파일
=====================================================================

cut_str($str, $len, $suffix="…")

//-8 문자열 자르기
utf8_strcut( $str, $size, $suffix='...' )

*/

  IF ( !defined('_GNUBOARD_') )                              EXIT;

  $nett_prog_n = 770000;

  $piree_prog_a[$nett_prog_n]['code'] = "PIREE WebProgram PLUS G5";

  $piree_prog_a[$nett_prog_n]['name'] = "피리 기본 관리";

  $piree_prog_a[$nett_prog_n]['version_s'] = "0.1.0";

  $piree_prog_a[$nett_prog_n]['default.version_s'] = "0.1.0";

  $piree_prog_a[$nett_prog_n]['is_paid'] = 0;

  $prog_memo_s = "(유료) 피리 웹프로그램을 관리하는 기능입니다.";

  $piree['member_active_state'] = G5_TABLE_PREFIX .'_piree__member_active_state';

  function piree_program_create_table($sql_file_path, $program_n = 0, $replace_ori = null, $replace_tar = null)
  {

      IF ( file_exists($sql_file_path) )
      {

          global $piree_prog_a, $is_table_drop;

          $file = implode('', file($sql_file_path) );
          eval("\$file = \"$file\";");

          $file = preg_replace('/^--.*$/m', '', $file);
          $file = preg_replace('/`g5_([^`]+`)/', '`'.G5_TABLE_PREFIX .'$1', $file);

          $sql_arr = explode(';', $file);

          FOR ( $i=0; $i<count($sql_arr); $i++ )
          {

              $sql_in = trim($sql_arr[$i]);

              $sql_in = str_replace("{PIREE_PROGRAM_N}",  $program_n, $sql_in);
              $sql_in = str_replace("{YEAR_N}",            date('Y'), $sql_in);

              $sql_in = str_replace("{YEAR_N}", date('Y'), $sql_in);

              IF ( $replace_tar && $sql_in )
              {

                  $sql_in = preg_replace($replace_ori, $replace_tar, $sql_in);
              }

              IF ( trim($sql_in) )
              {

                  IF ( $is_table_drop != 1 )
                  {

/*
                      IF ( preg_match('~^DROP TABLE~', $sql_in) )
                      IF ( preg_match('/DROP TABLE/i', $sql_in) )
                      IF ( preg_match("/^DROP TABLE/", $sql_in) )
*/
                      IF ( preg_match('~^DROP TABLE~', $sql_in) )
                      {

                          continue;

                      }

                  }

                  sql_query($sql_in, false);

/*

                  IF ( !sql_query($sql_in, false) )
                  {

                      preg_match('/CREATE TABLE `?([a-zA-Z0-9_]+)?`/i', $sql_in, $table_s);

                      alert("[ ". $table_s[1] ." ] 테이블을 생성하지 못했습니다.");

                  }

*/

              }

          }

      }

  }

  function get__prog_info($func_prog_n, $func_prog_version_s)
  {

      global $piree, $is_admin, $prog_config_page;

      $prog_info = array();

      IF ( $func_prog_n > 0 )
      {

          $sql_select  = "SELECT * FROM `". $piree['program_sam'] ."` ";
          $sql_select .= "WHERE `pgs_prog_n` = '". $func_prog_n ."' AND `pgs_version_s` = '". $func_prog_version_s ."'";
          $row = sql_fetch($sql_select, false);

          IF ( !isset($row['pgs_prog_n'] ) )
          {

              global $is_admin, $piree_prog_a;

              IF ( $is_admin )
              {

                  IF ( $prog_config_page != 1 )
                  {

                      $move_url = piree__admin_url($func_prog_n, '__install.form.php' );

                      alert("선택하신 프로그램이 설치되지 않았거나 DB정보가 없습니다. ". $func_prog_n, $move_url);

                  }

              }
              ELSE
              {

//("선택하신 프로그램이 설치되지 않았거나 DB정보가 없습니다. 770000", G5_DOMAIN);

              }

          }

          IF ( $func_prog_n == $row['pgs_prog_n'] )
          {

              $prog_info = $row;

          }

      }

      return $prog_info;

  }

  $p770000__is_use = 0;

  $p770000__prog_dir = "p". $piree_prog_a[770000]['num'];

  $p770000__prog_u = piree__url($piree_prog_a[770000]['num']);
  $p770000__prog_p = piree__path($piree_prog_a[770000]['num']);

  $p770000__img_u = $p770000__prog_u .'images';
  $p770000__img_p = $p770000__prog_p .'images';

  IF ( $get__p770000 == 1 )
  {

      $prog_conf = get__prog_info($piree_prog_a[770000]['num'], $piree_prog_a[770000]['version_s']);

      IF ( $piree_prog_a[770000]['num'] == $prog_conf['pgs_prog_n'] )
      {

          $p770000__use = 1;

          $p770000__prog_top_include_n = $prog_conf['pgs_top_include_n'];
          IF ( $p770000__prog_top_include_n != 1 && $p770000__prog_top_include_n != 11 )
          {
              $p770000__prog_top_include_n = 0;
          }

          $p770000__prog_head_include_n = $prog_conf['pgs_head_include_n'];
          IF ( $p770000__prog_head_include_n != 1 && $p770000__prog_head_include_n != 11 )
          {
              $p770000__prog_head_include_n = 0;
          }

          $p770000__prog_body_include_n = $prog_conf['pgs_body_include_n'];
          IF ( $p770000__prog_body_include_n != 1 && $p770000__prog_body_include_n != 11 )
          {
              $p770000__prog_body_include_n = 0;
          }

          $p770000__skin_pc_c = $prog_conf['pgs_skin_pc_c'];
          $p770000__skin_pc_u = $p770000__prog_u . PIREE_SKIN_PC_DIR ."/". $p770000__skin_pc_c;
          $p770000__skin_pc_p = $p770000__prog_p . PIREE_SKIN_PC_DIR ."/". $p770000__skin_pc_c;

          $p770000__skin_mo_c = $prog_conf['pgs_skin_mo_c'];
          $p770000__skin_mo_u = $p770000__prog_u . PIREE_SKIN_MO_DIR ."/". $p770000__skin_pc_c;
          $p770000__skin_mo_p = $p770000__prog_p . PIREE_SKIN_MO_DIR ."/". $p770000__skin_pc_c;
          $p770000__skin_mo_p = $p770000__prog_p . PIREE_SKIN_MO_DIR ."/". $p770000__skin_mo_c;

          IF ( G5_IS_MOBILE )
          {

              $p770000__skin_c = $p770000__skin_mo_c;
              $p770000__skin_u = $p770000__skin_mo_u;
              $p770000__skin_p = $p770000__skin_mo_p;

          }
          ELSE
          {

              $p770000__skin_c = $p770000__skin_pc_c;
              $p770000__skin_u = $p770000__skin_pc_u;
              $p770000__skin_p = $p770000__skin_pc_p;

          }

          $p770000__piree_mb_id = $prog_conf['pgs_piree_mb_id'];

          $p770000__html_edit_password_s = $prog_conf['pgs_cf_1_s'];

          $p770000__pc_top_html_s = $prog_conf['pgs_cf_1_txt'];

          $p770000__mo_top_html_s = $prog_conf['pgs_cf_2_txt'];

      }

  }

?>